(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     47775,       1063]
NotebookOptionsPosition[     45848,       1022]
NotebookOutlinePosition[     46279,       1039]
CellTagsIndexPosition[     46236,       1036]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.815307560872032*^9, 
  3.8153075642667866`*^9}},ExpressionUUID->"598afc19-aa3f-4a0c-85db-\
d3be449b5c22"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "h"}], "}"}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8153076038437824`*^9, 3.8153077736338882`*^9}, {
  3.8153904464875813`*^9, 3.8153904481615515`*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"96556553-88c0-4503-b9ab-f15e6461129e"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`i, $CellContext`e, \
$CellContext`d, $CellContext`f, $CellContext`h, $CellContext`c, \
$CellContext`g, $CellContext`j}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {5, 6}, {4, 6}, {1, 5}, {7, 8}, {7, 9}, {
       1, 6}, {2, 5}, {2, 9}, {8, 5}, {8, 4}, {8, 6}, {5, 9}, {4, 9}, {2, 
       3}, {3, 10}, {2, 10}, {1, 10}, {2, 7}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQBWImKC4I33/nI/d7+7ClP6ILHz20nxv1V17cEMi/cHPl
3NTv9ujyDc9Dz7aptNhfVDTZs8XpK4b8werm/Nm7GB1CDge88Nv7AEN+6ebt
Cy4E/7bfdlj3QbLSawz5bVtjuG6KMjgwQAG6PEz8qEF6oebvZxjuRXcfujy6
/ejy8eqzOJYvZ3QQEm2z3LiBwQFdXq9zEvfv4H/2C16LMOuI/cTQj+4+dPeg
y6OHF7r/0eUzitRzW1ewOpy6df+ot/h7DP3o7kP3L7r56PLo5qPLo5uPbh66
fvTwJCSPbj4AUPw2HA==
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.9702081023667528, 0.5588919445337222}, 
          0.028102933561559018], 
         InsetBox["a", 
          Offset[{2, 2}, {0.9983110359283118, 0.5869948780952812}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.974742472152531, 1.4623085627363444}, 
          0.028102933561559018], 
         InsetBox["b", Offset[{2, 2}, {1.00284540571409, 1.4904114962979034}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.00983529390463267, 1.328785643740151}, 
          0.028102933561559018], 
         InsetBox["i", 
          Offset[{2, 2}, {0.03793822746619169, 1.35688857730171}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.216116782379203, 0.5231089150821426}, 
          0.028102933561559018], 
         InsetBox["e", 
          Offset[{2, 2}, {2.244219715940762, 0.5512118486437017}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7079626348524724, 0.8479480150691561}, 
          0.028102933561559018], 
         InsetBox["d", 
          Offset[{2, 2}, {1.7360655684140314, 0.8760509486307151}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.010667878107337, 0.}, 0.028102933561559018], 
         InsetBox["f", 
          Offset[{2, 2}, {2.038770811668896, 0.028102933561559018}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2068615600627903, 2.0862755292934105}, 
          0.028102933561559018], 
         InsetBox["h", 
          Offset[{2, 2}, {2.234964493624349, 2.1143784628549698}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.707285740629505, 0.9715937485442165}, 
          0.028102933561559018], 
         InsetBox["c", 
          Offset[{2, 2}, {2.7353886741910642, 0.9996966821057756}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8955030872389886, 1.5679130669002248}, 
          0.028102933561559018], 
         InsetBox["g", 
          Offset[{2, 2}, {1.9236060208005477, 1.5960160004617838}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7181594099906979}, 0.028102933561559018], 
         InsetBox["j", 
          Offset[{2, 2}, {0.028102933561559018, 0.746262343552257}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8153076815709105`*^9, 3.8153077742678967`*^9}, {
   3.815307815749504*^9, 3.8153078205677204`*^9}, 3.8153904490823607`*^9, 
   3.8153947598447337`*^9, 3.8153948205901246`*^9, 3.815395092421521*^9, 
   3.815413636521103*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"c8464ab1-504c-4586-a123-2fa774a522aa"]
}, Open  ]],

Cell["Buscar primero a lo ancho:", "Text",
 CellChangeTimes->{{3.8153268020916414`*^9, 3.815326817562863*^9}, {
  3.8153368030168133`*^9, 3.8153368075241904`*^9}, {3.8154136208508687`*^9, 
  3.8154136220412583`*^9}},ExpressionUUID->"28e47786-193c-4aff-8d23-\
066f59b46135"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "j"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8153910654135437`*^9, 3.815391085539092*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"af3168f6-876d-468f-9627-b61c4817fc4d"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`i, $CellContext`e, \
$CellContext`d, $CellContext`f, $CellContext`h, $CellContext`c, \
$CellContext`g, $CellContext`j}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {5, 6}, {4, 6}, {1, 5}, {7, 8}, {7, 9}, {
       1, 6}, {2, 5}, {2, 9}, {8, 5}, {8, 4}, {8, 6}, {5, 9}, {4, 9}, {2, 
       3}, {3, 10}, {2, 10}, {1, 10}, {2, 7}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`a, $CellContext`i], 
         UndirectedEdge[$CellContext`a, $CellContext`j], 
         UndirectedEdge[$CellContext`a, $CellContext`f], 
         UndirectedEdge[$CellContext`a, $CellContext`e], 
         UndirectedEdge[$CellContext`a, $CellContext`d], 
         UndirectedEdge[$CellContext`a, $CellContext`b]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          0.974742472152531, 1.4623085627363444`}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          0.00983529390463267, 1.328785643740151}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          2.216116782379203, 0.5231089150821426}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          1.7079626348524724`, 0.8479480150691561}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          2.010667878107337, 0.}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {0., 
          0.7181594099906979}}]}, 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {
         0.00983529390463267, 1.328785643740151}}], 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {
         1.7079626348524724`, 0.8479480150691561}}], 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {
         2.2068615600627903`, 2.0862755292934105`}}], 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {
         1.8955030872389886`, 1.5679130669002248`}}], 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {0., 
         0.7181594099906979}}], 
        LineBox[{{0.00983529390463267, 1.328785643740151}, {0., 
         0.7181594099906979}}], 
        LineBox[{{2.216116782379203, 0.5231089150821426}, {2.010667878107337, 
         0.}}], LineBox[{{2.216116782379203, 0.5231089150821426}, {
         2.707285740629505, 0.9715937485442165}}], 
        LineBox[{{2.216116782379203, 0.5231089150821426}, {
         1.8955030872389886`, 1.5679130669002248`}}], 
        LineBox[{{1.7079626348524724`, 0.8479480150691561}, {
         2.010667878107337, 0.}}], 
        LineBox[{{1.7079626348524724`, 0.8479480150691561}, {
         2.707285740629505, 0.9715937485442165}}], 
        LineBox[{{1.7079626348524724`, 0.8479480150691561}, {
         1.8955030872389886`, 1.5679130669002248`}}], 
        LineBox[{{2.010667878107337, 0.}, {2.707285740629505, 
         0.9715937485442165}}], 
        LineBox[{{2.2068615600627903`, 2.0862755292934105`}, {
         2.707285740629505, 0.9715937485442165}}], 
        LineBox[{{2.2068615600627903`, 2.0862755292934105`}, {
         1.8955030872389886`, 1.5679130669002248`}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.9702081023667528, 0.5588919445337222}, 
          0.028102933561559018], 
         InsetBox["a", 
          Offset[{2, 2}, {0.9983110359283118, 0.5869948780952812}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.974742472152531, 1.4623085627363444}, 
          0.028102933561559018], 
         InsetBox["b", Offset[{2, 2}, {1.00284540571409, 1.4904114962979034}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.00983529390463267, 1.328785643740151}, 
          0.028102933561559018], 
         InsetBox["i", 
          Offset[{2, 2}, {0.03793822746619169, 1.35688857730171}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.216116782379203, 0.5231089150821426}, 
          0.028102933561559018], 
         InsetBox["e", 
          Offset[{2, 2}, {2.244219715940762, 0.5512118486437017}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7079626348524724, 0.8479480150691561}, 
          0.028102933561559018], 
         InsetBox["d", 
          Offset[{2, 2}, {1.7360655684140314, 0.8760509486307151}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.010667878107337, 0.}, 0.028102933561559018], 
         InsetBox["f", 
          Offset[{2, 2}, {2.038770811668896, 0.028102933561559018}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2068615600627903, 2.0862755292934105}, 
          0.028102933561559018], 
         InsetBox["h", 
          Offset[{2, 2}, {2.234964493624349, 2.1143784628549698}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.707285740629505, 0.9715937485442165}, 
          0.028102933561559018], 
         InsetBox["c", 
          Offset[{2, 2}, {2.7353886741910642, 0.9996966821057756}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8955030872389886, 1.5679130669002248}, 
          0.028102933561559018], 
         InsetBox["g", 
          Offset[{2, 2}, {1.9236060208005477, 1.5960160004617838}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7181594099906979}, 0.028102933561559018], 
         InsetBox["j", 
          Offset[{2, 2}, {0.028102933561559018, 0.746262343552257}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8153910866179056`*^9, 3.8153947628452435`*^9, 
  3.815394823817786*^9, 3.8153950962395897`*^9, 3.815413640623335*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"e3582562-be6d-4bc0-991c-74dd30936d8d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "h"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8153913967255955`*^9, 3.815391397088653*^9}, {
  3.8153919033682165`*^9, 3.8153919039447107`*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"44d51cdb-ac85-4124-acce-96aae0725ba6"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`i, $CellContext`e, \
$CellContext`d, $CellContext`f, $CellContext`h, $CellContext`c, \
$CellContext`g, $CellContext`j}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {5, 6}, {4, 6}, {1, 5}, {7, 8}, {7, 9}, {
       1, 6}, {2, 5}, {2, 9}, {8, 5}, {8, 4}, {8, 6}, {5, 9}, {4, 9}, {2, 
       3}, {3, 10}, {2, 10}, {1, 10}, {2, 7}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`b, $CellContext`g], 
         UndirectedEdge[$CellContext`a, $CellContext`i], 
         UndirectedEdge[$CellContext`a, $CellContext`j], 
         UndirectedEdge[$CellContext`a, $CellContext`f], 
         UndirectedEdge[$CellContext`a, $CellContext`e], 
         UndirectedEdge[$CellContext`a, $CellContext`d], 
         UndirectedEdge[$CellContext`b, $CellContext`h], 
         UndirectedEdge[$CellContext`a, $CellContext`b]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          0.974742472152531, 1.4623085627363444`}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          0.00983529390463267, 1.328785643740151}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          2.216116782379203, 0.5231089150821426}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          1.7079626348524724`, 0.8479480150691561}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          2.010667878107337, 0.}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {0., 
          0.7181594099906979}}]}, 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {
         0.00983529390463267, 1.328785643740151}}], 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {
         1.7079626348524724`, 0.8479480150691561}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.974742472152531, 1.4623085627363444`}, {
          2.2068615600627903`, 2.0862755292934105`}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.974742472152531, 1.4623085627363444`}, {
          1.8955030872389886`, 1.5679130669002248`}}]}, 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {0., 
         0.7181594099906979}}], 
        LineBox[{{0.00983529390463267, 1.328785643740151}, {0., 
         0.7181594099906979}}], 
        LineBox[{{2.216116782379203, 0.5231089150821426}, {2.010667878107337, 
         0.}}], LineBox[{{2.216116782379203, 0.5231089150821426}, {
         2.707285740629505, 0.9715937485442165}}], 
        LineBox[{{2.216116782379203, 0.5231089150821426}, {
         1.8955030872389886`, 1.5679130669002248`}}], 
        LineBox[{{1.7079626348524724`, 0.8479480150691561}, {
         2.010667878107337, 0.}}], 
        LineBox[{{1.7079626348524724`, 0.8479480150691561}, {
         2.707285740629505, 0.9715937485442165}}], 
        LineBox[{{1.7079626348524724`, 0.8479480150691561}, {
         1.8955030872389886`, 1.5679130669002248`}}], 
        LineBox[{{2.010667878107337, 0.}, {2.707285740629505, 
         0.9715937485442165}}], 
        LineBox[{{2.2068615600627903`, 2.0862755292934105`}, {
         2.707285740629505, 0.9715937485442165}}], 
        LineBox[{{2.2068615600627903`, 2.0862755292934105`}, {
         1.8955030872389886`, 1.5679130669002248`}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.9702081023667528, 0.5588919445337222}, 
          0.028102933561559018], 
         InsetBox["a", 
          Offset[{2, 2}, {0.9983110359283118, 0.5869948780952812}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.974742472152531, 1.4623085627363444}, 
          0.028102933561559018], 
         InsetBox["b", Offset[{2, 2}, {1.00284540571409, 1.4904114962979034}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.00983529390463267, 1.328785643740151}, 
          0.028102933561559018], 
         InsetBox["i", 
          Offset[{2, 2}, {0.03793822746619169, 1.35688857730171}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.216116782379203, 0.5231089150821426}, 
          0.028102933561559018], 
         InsetBox["e", 
          Offset[{2, 2}, {2.244219715940762, 0.5512118486437017}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7079626348524724, 0.8479480150691561}, 
          0.028102933561559018], 
         InsetBox["d", 
          Offset[{2, 2}, {1.7360655684140314, 0.8760509486307151}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.010667878107337, 0.}, 0.028102933561559018], 
         InsetBox["f", 
          Offset[{2, 2}, {2.038770811668896, 0.028102933561559018}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2068615600627903, 2.0862755292934105}, 
          0.028102933561559018], 
         InsetBox["h", 
          Offset[{2, 2}, {2.234964493624349, 2.1143784628549698}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.707285740629505, 0.9715937485442165}, 
          0.028102933561559018], 
         InsetBox["c", 
          Offset[{2, 2}, {2.7353886741910642, 0.9996966821057756}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8955030872389886, 1.5679130669002248}, 
          0.028102933561559018], 
         InsetBox["g", 
          Offset[{2, 2}, {1.9236060208005477, 1.5960160004617838}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7181594099906979}, 0.028102933561559018], 
         InsetBox["j", 
          Offset[{2, 2}, {0.028102933561559018, 0.746262343552257}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8153913981814327`*^9, 3.8153919061913557`*^9, 
  3.815394767694788*^9, 3.815394827317665*^9, 3.815395099484204*^9, 
  3.8154136434750347`*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"2b48c27e-c418-4a72-a04e-1e86f5d7c7fd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "c"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.815392259087597*^9, 3.8153922594111414`*^9}, 
   3.8153923612410774`*^9},
 CellLabel->"In[43]:=",ExpressionUUID->"1511864a-f50e-49a6-af04-11101119d49c"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`i, $CellContext`e, \
$CellContext`d, $CellContext`f, $CellContext`h, $CellContext`c, \
$CellContext`g, $CellContext`j}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {5, 6}, {4, 6}, {1, 5}, {7, 8}, {7, 9}, {
       1, 6}, {2, 5}, {2, 9}, {8, 5}, {8, 4}, {8, 6}, {5, 9}, {4, 9}, {2, 
       3}, {3, 10}, {2, 10}, {1, 10}, {2, 7}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`b, $CellContext`g], 
         UndirectedEdge[$CellContext`a, $CellContext`i], 
         UndirectedEdge[$CellContext`d, $CellContext`c], 
         UndirectedEdge[$CellContext`a, $CellContext`j], 
         UndirectedEdge[$CellContext`a, $CellContext`f], 
         UndirectedEdge[$CellContext`a, $CellContext`e], 
         UndirectedEdge[$CellContext`a, $CellContext`d], 
         UndirectedEdge[$CellContext`b, $CellContext`h], 
         UndirectedEdge[$CellContext`a, $CellContext`b]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          0.974742472152531, 1.4623085627363444`}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          0.00983529390463267, 1.328785643740151}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          2.216116782379203, 0.5231089150821426}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          1.7079626348524724`, 0.8479480150691561}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          2.010667878107337, 0.}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {0., 
          0.7181594099906979}}]}, 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {
         0.00983529390463267, 1.328785643740151}}], 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {
         1.7079626348524724`, 0.8479480150691561}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.974742472152531, 1.4623085627363444`}, {
          2.2068615600627903`, 2.0862755292934105`}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.974742472152531, 1.4623085627363444`}, {
          1.8955030872389886`, 1.5679130669002248`}}]}, 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {0., 
         0.7181594099906979}}], 
        LineBox[{{0.00983529390463267, 1.328785643740151}, {0., 
         0.7181594099906979}}], 
        LineBox[{{2.216116782379203, 0.5231089150821426}, {2.010667878107337, 
         0.}}], LineBox[{{2.216116782379203, 0.5231089150821426}, {
         2.707285740629505, 0.9715937485442165}}], 
        LineBox[{{2.216116782379203, 0.5231089150821426}, {
         1.8955030872389886`, 1.5679130669002248`}}], 
        LineBox[{{1.7079626348524724`, 0.8479480150691561}, {
         2.010667878107337, 0.}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.7079626348524724`, 0.8479480150691561}, {
          2.707285740629505, 0.9715937485442165}}]}, 
        LineBox[{{1.7079626348524724`, 0.8479480150691561}, {
         1.8955030872389886`, 1.5679130669002248`}}], 
        LineBox[{{2.010667878107337, 0.}, {2.707285740629505, 
         0.9715937485442165}}], 
        LineBox[{{2.2068615600627903`, 2.0862755292934105`}, {
         2.707285740629505, 0.9715937485442165}}], 
        LineBox[{{2.2068615600627903`, 2.0862755292934105`}, {
         1.8955030872389886`, 1.5679130669002248`}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.9702081023667528, 0.5588919445337222}, 
          0.028102933561559018], 
         InsetBox["a", 
          Offset[{2, 2}, {0.9983110359283118, 0.5869948780952812}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.974742472152531, 1.4623085627363444}, 
          0.028102933561559018], 
         InsetBox["b", Offset[{2, 2}, {1.00284540571409, 1.4904114962979034}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.00983529390463267, 1.328785643740151}, 
          0.028102933561559018], 
         InsetBox["i", 
          Offset[{2, 2}, {0.03793822746619169, 1.35688857730171}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.216116782379203, 0.5231089150821426}, 
          0.028102933561559018], 
         InsetBox["e", 
          Offset[{2, 2}, {2.244219715940762, 0.5512118486437017}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7079626348524724, 0.8479480150691561}, 
          0.028102933561559018], 
         InsetBox["d", 
          Offset[{2, 2}, {1.7360655684140314, 0.8760509486307151}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.010667878107337, 0.}, 0.028102933561559018], 
         InsetBox["f", 
          Offset[{2, 2}, {2.038770811668896, 0.028102933561559018}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2068615600627903, 2.0862755292934105}, 
          0.028102933561559018], 
         InsetBox["h", 
          Offset[{2, 2}, {2.234964493624349, 2.1143784628549698}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.707285740629505, 0.9715937485442165}, 
          0.028102933561559018], 
         InsetBox["c", 
          Offset[{2, 2}, {2.7353886741910642, 0.9996966821057756}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8955030872389886, 1.5679130669002248}, 
          0.028102933561559018], 
         InsetBox["g", 
          Offset[{2, 2}, {1.9236060208005477, 1.5960160004617838}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7181594099906979}, 0.028102933561559018], 
         InsetBox["j", 
          Offset[{2, 2}, {0.028102933561559018, 0.746262343552257}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.815392362852874*^9, 3.8153947704617558`*^9, 
  3.8153948301767035`*^9, 3.8153951020676465`*^9, 3.815413646312043*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"2bf37521-eedf-47c6-a54a-b051ddead6a9"]
}, Open  ]],

Cell["Buscar primero a lo largo o a profundidad:", "Text",
 CellChangeTimes->{{3.8153268020916414`*^9, 3.815326817562863*^9}, {
   3.8153368030168133`*^9, 3.815336823573577*^9}, 
   3.8154136289031305`*^9},ExpressionUUID->"440514d3-7546-451e-b4fe-\
42e17e8f998b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.815392904800451*^9, 3.815392939023299*^9}, {
  3.815393067360495*^9, 3.8153930739072733`*^9}, {3.8153933288714275`*^9, 
  3.815393335208945*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"dc3dc0e3-fc53-4088-97de-930effc790df"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`i, $CellContext`e, \
$CellContext`d, $CellContext`f, $CellContext`h, $CellContext`c, \
$CellContext`g, $CellContext`j}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {5, 6}, {4, 6}, {1, 5}, {7, 8}, {7, 9}, {
       1, 6}, {2, 5}, {2, 9}, {8, 5}, {8, 4}, {8, 6}, {5, 9}, {4, 9}, {2, 
       3}, {3, 10}, {2, 10}, {1, 10}, {2, 7}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`e, $CellContext`f], 
         UndirectedEdge[$CellContext`c, $CellContext`e], 
         UndirectedEdge[$CellContext`d, $CellContext`c], 
         UndirectedEdge[$CellContext`b, $CellContext`d], 
         UndirectedEdge[$CellContext`a, $CellContext`b]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          0.974742472152531, 1.4623085627363444`}}]}, 
        LineBox[{{0.9702081023667528, 0.5588919445337222}, {
         0.00983529390463267, 1.328785643740151}}], 
        LineBox[{{0.9702081023667528, 0.5588919445337222}, {2.216116782379203,
          0.5231089150821426}}], 
        LineBox[{{0.9702081023667528, 0.5588919445337222}, {
         1.7079626348524724`, 0.8479480150691561}}], 
        LineBox[{{0.9702081023667528, 0.5588919445337222}, {2.010667878107337,
          0.}}], LineBox[{{0.9702081023667528, 0.5588919445337222}, {0., 
         0.7181594099906979}}], 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {
         0.00983529390463267, 1.328785643740151}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.974742472152531, 1.4623085627363444`}, {
          1.7079626348524724`, 0.8479480150691561}}]}, 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {
         2.2068615600627903`, 2.0862755292934105`}}], 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {
         1.8955030872389886`, 1.5679130669002248`}}], 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {0., 
         0.7181594099906979}}], 
        LineBox[{{0.00983529390463267, 1.328785643740151}, {0., 
         0.7181594099906979}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.216116782379203, 0.5231089150821426}, {2.010667878107337,
           0.}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.216116782379203, 0.5231089150821426}, {2.707285740629505,
           0.9715937485442165}}]}, 
        LineBox[{{2.216116782379203, 0.5231089150821426}, {
         1.8955030872389886`, 1.5679130669002248`}}], 
        LineBox[{{1.7079626348524724`, 0.8479480150691561}, {
         2.010667878107337, 0.}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.7079626348524724`, 0.8479480150691561}, {
          2.707285740629505, 0.9715937485442165}}]}, 
        LineBox[{{1.7079626348524724`, 0.8479480150691561}, {
         1.8955030872389886`, 1.5679130669002248`}}], 
        LineBox[{{2.010667878107337, 0.}, {2.707285740629505, 
         0.9715937485442165}}], 
        LineBox[{{2.2068615600627903`, 2.0862755292934105`}, {
         2.707285740629505, 0.9715937485442165}}], 
        LineBox[{{2.2068615600627903`, 2.0862755292934105`}, {
         1.8955030872389886`, 1.5679130669002248`}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.9702081023667528, 0.5588919445337222}, 
          0.028102933561559018], 
         InsetBox["a", 
          Offset[{2, 2}, {0.9983110359283118, 0.5869948780952812}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.974742472152531, 1.4623085627363444}, 
          0.028102933561559018], 
         InsetBox["b", Offset[{2, 2}, {1.00284540571409, 1.4904114962979034}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.00983529390463267, 1.328785643740151}, 
          0.028102933561559018], 
         InsetBox["i", 
          Offset[{2, 2}, {0.03793822746619169, 1.35688857730171}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.216116782379203, 0.5231089150821426}, 
          0.028102933561559018], 
         InsetBox["e", 
          Offset[{2, 2}, {2.244219715940762, 0.5512118486437017}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7079626348524724, 0.8479480150691561}, 
          0.028102933561559018], 
         InsetBox["d", 
          Offset[{2, 2}, {1.7360655684140314, 0.8760509486307151}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.010667878107337, 0.}, 0.028102933561559018], 
         InsetBox["f", 
          Offset[{2, 2}, {2.038770811668896, 0.028102933561559018}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2068615600627903, 2.0862755292934105}, 
          0.028102933561559018], 
         InsetBox["h", 
          Offset[{2, 2}, {2.234964493624349, 2.1143784628549698}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.707285740629505, 0.9715937485442165}, 
          0.028102933561559018], 
         InsetBox["c", 
          Offset[{2, 2}, {2.7353886741910642, 0.9996966821057756}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8955030872389886, 1.5679130669002248}, 
          0.028102933561559018], 
         InsetBox["g", 
          Offset[{2, 2}, {1.9236060208005477, 1.5960160004617838}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7181594099906979}, 0.028102933561559018], 
         InsetBox["j", 
          Offset[{2, 2}, {0.028102933561559018, 0.746262343552257}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8153929396782007`*^9, 3.8153930747268276`*^9, 
  3.8153933360237613`*^9, 3.815393639986162*^9, 3.8153947733766875`*^9, 
  3.8153948364819384`*^9, 3.8153950543749685`*^9, 3.815395105500867*^9, 
  3.815413649618408*^9},
 CellLabel->"Out[44]=",ExpressionUUID->"5fca9d7a-e6ad-4261-9376-0c87abc4f3fe"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "j"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.815394020667738*^9, 3.8153940332996063`*^9}, {
  3.815394262198175*^9, 3.815394264149054*^9}, {3.8153943306184826`*^9, 
  3.815394338333509*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"b91c6fd2-f1dd-46d2-a7e7-f3361ffd2e6b"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`i, $CellContext`e, \
$CellContext`d, $CellContext`f, $CellContext`h, $CellContext`c, \
$CellContext`g, $CellContext`j}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {5, 6}, {4, 6}, {1, 5}, {7, 8}, {7, 9}, {
       1, 6}, {2, 5}, {2, 9}, {8, 5}, {8, 4}, {8, 6}, {5, 9}, {4, 9}, {2, 
       3}, {3, 10}, {2, 10}, {1, 10}, {2, 7}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`i, $CellContext`j], 
         UndirectedEdge[$CellContext`b, $CellContext`i], 
         UndirectedEdge[$CellContext`e, $CellContext`f], 
         UndirectedEdge[$CellContext`c, $CellContext`e], 
         UndirectedEdge[$CellContext`d, $CellContext`c], 
         UndirectedEdge[$CellContext`e, $CellContext`g], 
         UndirectedEdge[$CellContext`b, $CellContext`d], 
         UndirectedEdge[$CellContext`a, $CellContext`b], 
         UndirectedEdge[$CellContext`g, $CellContext`h]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9702081023667528, 0.5588919445337222}, {
          0.974742472152531, 1.4623085627363444`}}]}, 
        LineBox[{{0.9702081023667528, 0.5588919445337222}, {
         0.00983529390463267, 1.328785643740151}}], 
        LineBox[{{0.9702081023667528, 0.5588919445337222}, {2.216116782379203,
          0.5231089150821426}}], 
        LineBox[{{0.9702081023667528, 0.5588919445337222}, {
         1.7079626348524724`, 0.8479480150691561}}], 
        LineBox[{{0.9702081023667528, 0.5588919445337222}, {2.010667878107337,
          0.}}], LineBox[{{0.9702081023667528, 0.5588919445337222}, {0., 
         0.7181594099906979}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.974742472152531, 1.4623085627363444`}, {
          0.00983529390463267, 1.328785643740151}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.974742472152531, 1.4623085627363444`}, {
          1.7079626348524724`, 0.8479480150691561}}]}, 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {
         2.2068615600627903`, 2.0862755292934105`}}], 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {
         1.8955030872389886`, 1.5679130669002248`}}], 
        LineBox[{{0.974742472152531, 1.4623085627363444`}, {0., 
         0.7181594099906979}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.00983529390463267, 1.328785643740151}, {0., 
          0.7181594099906979}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.216116782379203, 0.5231089150821426}, {2.010667878107337,
           0.}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.216116782379203, 0.5231089150821426}, {2.707285740629505,
           0.9715937485442165}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.216116782379203, 0.5231089150821426}, {
          1.8955030872389886`, 1.5679130669002248`}}]}, 
        LineBox[{{1.7079626348524724`, 0.8479480150691561}, {
         2.010667878107337, 0.}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.7079626348524724`, 0.8479480150691561}, {
          2.707285740629505, 0.9715937485442165}}]}, 
        LineBox[{{1.7079626348524724`, 0.8479480150691561}, {
         1.8955030872389886`, 1.5679130669002248`}}], 
        LineBox[{{2.010667878107337, 0.}, {2.707285740629505, 
         0.9715937485442165}}], 
        LineBox[{{2.2068615600627903`, 2.0862755292934105`}, {
         2.707285740629505, 0.9715937485442165}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{2.2068615600627903`, 2.0862755292934105`}, {
          1.8955030872389886`, 1.5679130669002248`}}]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.9702081023667528, 0.5588919445337222}, 
          0.028102933561559018], 
         InsetBox["a", 
          Offset[{2, 2}, {0.9983110359283118, 0.5869948780952812}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.974742472152531, 1.4623085627363444}, 
          0.028102933561559018], 
         InsetBox["b", Offset[{2, 2}, {1.00284540571409, 1.4904114962979034}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.00983529390463267, 1.328785643740151}, 
          0.028102933561559018], 
         InsetBox["i", 
          Offset[{2, 2}, {0.03793822746619169, 1.35688857730171}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.216116782379203, 0.5231089150821426}, 
          0.028102933561559018], 
         InsetBox["e", 
          Offset[{2, 2}, {2.244219715940762, 0.5512118486437017}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7079626348524724, 0.8479480150691561}, 
          0.028102933561559018], 
         InsetBox["d", 
          Offset[{2, 2}, {1.7360655684140314, 0.8760509486307151}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.010667878107337, 0.}, 0.028102933561559018], 
         InsetBox["f", 
          Offset[{2, 2}, {2.038770811668896, 0.028102933561559018}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2068615600627903, 2.0862755292934105}, 
          0.028102933561559018], 
         InsetBox["h", 
          Offset[{2, 2}, {2.234964493624349, 2.1143784628549698}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.707285740629505, 0.9715937485442165}, 
          0.028102933561559018], 
         InsetBox["c", 
          Offset[{2, 2}, {2.7353886741910642, 0.9996966821057756}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8955030872389886, 1.5679130669002248}, 
          0.028102933561559018], 
         InsetBox["g", 
          Offset[{2, 2}, {1.9236060208005477, 1.5960160004617838}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7181594099906979}, 0.028102933561559018], 
         InsetBox["j", 
          Offset[{2, 2}, {0.028102933561559018, 0.746262343552257}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.815394033681585*^9, 3.8153943391637144`*^9, 
  3.8153943894842615`*^9, 3.8153948055956736`*^9, 3.8153948462372217`*^9, 
  3.81539506500244*^9, 3.8153951087677307`*^9, 3.8154136526377583`*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"5deffdbf-61b4-4426-89e0-8c0a5f395aca"]
}, Open  ]]
},
WindowSize->{949., 472.5},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"388e80cd-41ae-4ab2-aa41-e8f601165cff"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 182, 4, 63, "Input",ExpressionUUID->"598afc19-aa3f-4a0c-85db-d3be449b5c22"],
Cell[CellGroupData[{
Cell[765, 28, 1639, 49, 308, "Input",ExpressionUUID->"96556553-88c0-4503-b9ab-f15e6461129e"],
Cell[2407, 79, 4143, 90, 599, "Output",ExpressionUUID->"c8464ab1-504c-4586-a123-2fa774a522aa"]
}, Open  ]],
Cell[6565, 172, 273, 4, 77, "Text",ExpressionUUID->"28e47786-193c-4aff-8d23-066f59b46135"],
Cell[CellGroupData[{
Cell[6863, 180, 646, 18, 179, "Input",ExpressionUUID->"af3168f6-876d-468f-9627-b61c4817fc4d"],
Cell[7512, 200, 6714, 135, 599, "Output",ExpressionUUID->"e3582562-be6d-4bc0-991c-74dd30936d8d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14263, 340, 825, 23, 179, "Input",ExpressionUUID->"44d51cdb-ac85-4124-acce-96aae0725ba6"],
Cell[15091, 365, 6973, 140, 599, "Output",ExpressionUUID->"2b48c27e-c418-4a72-a04e-1e86f5d7c7fd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22101, 510, 863, 25, 179, "Input",ExpressionUUID->"1511864a-f50e-49a6-af04-11101119d49c"],
Cell[22967, 537, 7065, 141, 599, "Output",ExpressionUUID->"2bf37521-eedf-47c6-a54a-b051ddead6a9"]
}, Open  ]],
Cell[30047, 681, 263, 4, 77, "Text",ExpressionUUID->"440514d3-7546-451e-b4fe-42e17e8f998b"],
Cell[CellGroupData[{
Cell[30335, 689, 683, 18, 135, "Input",ExpressionUUID->"dc3dc0e3-fc53-4088-97de-930effc790df"],
Cell[31021, 709, 6697, 135, 599, "Output",ExpressionUUID->"5fca9d7a-e6ad-4261-9376-0c87abc4f3fe"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37755, 849, 935, 26, 179, "Input",ExpressionUUID->"b91c6fd2-f1dd-46d2-a7e7-f3361ffd2e6b"],
Cell[38693, 877, 7139, 142, 606, "Output",ExpressionUUID->"5deffdbf-61b4-4426-89e0-8c0a5f395aca"]
}, Open  ]]
}
]
*)

